#!/usr/bin/env python
# -*- coding: utf-8 -*-
# bthlabs-jsonrpc-django | (c) 2022-present Tomek Wójcik | MIT License
from __future__ import annotations

import os
import sys


def main():
    os.environ.setdefault(
        'DJANGO_SETTINGS_MODULE',
        'bthlabs_jsonrpc_django_example.settings.local',
    )

    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            (
                "Couldn't import Django. Are you sure it's installed and "
                "available on your PYTHONPATH environment variable? Did you "
                "forget to activate a virtual environment?"
            ),
        ) from exc

    execute_from_command_line(sys.argv)


if __name__ == '__main__':
    main()
