# -*- coding: utf-8 -*-
# bthlabs-jsonrpc-django | (c) 2022-present Tomek Wójcik | MIT License
from __future__ import annotations

import factory

from testing.models import Thing


class ThingFactory(factory.django.DjangoModelFactory):
    name = factory.Faker('name')
    content = factory.Faker('sentence')
    is_active = True
    owner = None

    class Meta:
        model = Thing
