# -*- coding: utf-8 -*-
# type: ignore
from __future__ import annotations

from django.contrib.auth.models import User
import factory


class UserFactory(factory.django.DjangoModelFactory):
    username = factory.Faker('email')
    first_name = factory.Faker('first_name')
    last_name = factory.Faker('last_name')
    email = factory.Faker('email')
    is_staff = False
    is_superuser = False
    is_active = True

    class Meta:
        model = User
