# -*- coding: utf-8 -*-
# type: ignore
from __future__ import annotations

from unittest import mock

from aiohttp.web import Request
import pytest

from .fixtures import AsyncJSONCodec


@pytest.fixture
def fake_request() -> mock.Mock:
    return mock.Mock(spec=Request)


@pytest.fixture
def async_json_codec() -> AsyncJSONCodec:
    return AsyncJSONCodec()
