# -*- coding: utf-8 -*-
# type: ignore
from unittest import mock

import pytest

from bthlabs_jsonrpc_core.registry import MethodRegistry
from bthlabs_jsonrpc_core.serializer import JSONRPCSerializer


@pytest.fixture
def fake_method_registry() -> mock.Mock:
    return mock.Mock(spec=MethodRegistry)


@pytest.fixture
def fake_handler() -> mock.Mock:
    return mock.Mock()


@pytest.fixture
def fake_rpc_serializer() -> mock.Mock:
    return mock.Mock(spec=JSONRPCSerializer)
