# -*- coding: utf-8 -*-
# bthlabs-jsonrpc-django | (c) 2022-present Tomek Wójcik | MIT License
from __future__ import annotations

from django.contrib import admin

from bthlabs_jsonrpc_django_example.things import models


class ThingAdmin(admin.ModelAdmin):
    list_display = ('pk', 'name', 'created_at', 'owner', 'is_active')


admin.site.register(models.Thing, ThingAdmin)
